package com.heyu.api.data.service.impl.translate;
/**
* <p>
* 翻译医院 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.translate.TranslateLanguageDao;
import com.heyu.api.data.entity.translate.TranslateLanguageEntity;
import com.heyu.api.data.service.translate.TranslateLanguageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class TranslateLanguageServiceImpl extends ServiceImpl<TranslateLanguageDao, TranslateLanguageEntity> implements TranslateLanguageService {


    @Autowired
	private TranslateLanguageDao translateLanguageDao;



	@Override
	public TranslateLanguageEntity selectTranslateLanguageById(Long id){
		return translateLanguageDao.selectTranslateLanguageById(id);
	}



	@Override
	public Long insertTranslateLanguage(TranslateLanguageEntity translateLanguage){
		return translateLanguageDao.insertTranslateLanguage(translateLanguage);
	}



	@Override
	public Long insertOrUpdateTranslateLanguage(TranslateLanguageEntity translateLanguage){
		return translateLanguageDao.insertOrUpdateTranslateLanguage(translateLanguage);
	}



	@Override
	public int updateTranslateLanguageById(TranslateLanguageEntity translateLanguage){
		return translateLanguageDao.updateTranslateLanguageById(translateLanguage);
	}



	@Override
	public int updateCoverTranslateLanguageById(TranslateLanguageEntity translateLanguage){
		return translateLanguageDao.updateCoverTranslateLanguageById(translateLanguage);
	}



	@Override
	public int deleteTranslateLanguageById(Long id){
		return translateLanguageDao.deleteTranslateLanguageById(id);
	}



}
